Table of Contents

@related : Eclipse Java dpkg Debian IBM Tablature JVM @from: tuxguitar

ToDo

Depends: java-gcj-compat | sun-java6-jre | sun-java5-jre | java-virtual-machine , ( libswt-gtk-3.4-java , libswt-cairo-gtk-3.4-jni , libswt-mozilla-gtk-3.4-jni ) | libswt3.2-gtk-java, libitext-java

swt

Latest

tuxguitar - Multitrack guitar tablature editor and player (gp3 to gp5)

mozilla

/usr/lib/jvm/java-6-openjdk/jre/bin/../..//jre/bin/java: symbol lookup error: /usr/lib/jni/libswt-mozilla-gtk-3236.so: undefined symbol: _ZN4nsID5ParseEPKc
libswt3.2-gtk-jni: /usr/lib/jni/libswt-mozilla-gtk-3236.so

ToDo :

ToDo

Install it on [[Debian]] (current version is ugly but just works)

Open a Terminal and type
\su root
wget -O- http://rzr.online.fr/docs/contribs/sources.list >> /etc/apt/sources.list
sudo apt-get update
# sudo apt-get install sun-java5-jre # on [[Debian]] or [[Ubuntu]]
sudo apt-get install tuxguitar  libswt-gtk-3.1-java libitext-java # [[Debian]]
# logout
tuxguitar # as user

Or if you're a developper :

dget http://mentors.debian.net/debian/pool/contrib/t/tuxguitar/ tuxguitar_0.8-2.dsc
dpkg-source -x tuxguitar_0.8-2.dsc

pbuilder create

pbuilder login --save-after-login
pbuilder upgrade
apt-get install whiptail; dpkg-reconfigure debconf

[[Ubuntu]]

sodu apt-get remove j2re1.4 # java.lang.UnsupportedClassVersionError:
sudo apt-get install sun-java5-jre # on [[Debian]] or [[Ubuntu]]
sudo apt-get install libswt3.1-gtk-java libgtk-java libswt3.1-gtk-jni # [[Ubuntu]]
java -Xms128m -Xmx128m \
 *cp /usr/share/tuxguitar/TuxGuitar.jar:/usr/lib/java/swt.jar \
 *Djava.library.path=/usr/lib/:/usr/lib/jni/ \
  org.herac.tuxguitar.gui.TuxGuitar
# Exception in thread "main" java.lang.UnsatisfiedLinkError: no swt-pi-gtk-3139 in java.library.path
# dpkg -L libswt-gtk-3.1-jni | grep libswt-pi-gtk-3138.so
# libswt-gtk-3.1-jni: /usr/lib/libswt-pi-gtk-3138.so # [[Debian]]
# dpkg -L libswt-gtk-3.1-jni | grep libswt-pi-gtk
/usr/lib/libswt-pi-gtk-3138.so
# dpkg -L libswt-gtk-3.2-jni | grep libswt-pi-gtk
/usr/lib/jni/libswt-pi-gtk-3232.so

http://paste.debian.net/10326

apt-cache policy libswt-gtk-3.1-jni
ls /usr/share/java
sudo dpkg -L libgtk-java
sudo dpkg -L libswt3.1-gtk-java | grep .jar
/usr/lib/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_3.1.1.jar
/usr/lib/java/swt-gtk.jar
/usr/lib/java/swt.jar
/usr/lib/java/swt3.1-gtk.jar
make CLASSPATH=.:bin:/usr/share/java/itext.jar:/usr/lib/java/swt3.1-gtk.jar
# http://packages.qa.debian.org/libi/libitext-java.html
# http://ftp.us.debian.org/debian/pool/contrib/libi/libitext-java/libitext-java_1.02b-4_all.deb
Exception in thread "main" java.lang.NoClassDefFoundError: org/eclipse/swt/widgets/Layout
swt.txt · Last modified: 2012/11/04 21:05 (external edit)
 
Except where otherwise noted, content on this wiki is licensed under the following license: CC Attribution-Share Alike 3.0 Unported
Recent changes RSS feed Donate Powered by PHP Valid XHTML 1.0 Valid CSS Driven by DokuWiki